__ __ __ __ _____ _ _ _____ _ _ _ | \/ | \ \ / / | __ \ (_) | | / ____| | | | | | \ / |_ __\ V / | |__) | __ ___ ____ _| |_ ___ | (___ | |__ ___| | | | |\/| | '__|> < | ___/ '__| \ \ / / _` | __/ _ \ \___ \| '_ \ / _ \ | | | | | | |_ / . \ | | | | | |\ V / (_| | || __/ ____) | | | | __/ | | |_| |_|_(_)_/ \_\ |_| |_| |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1 if you need WebShell for Seo everyday contact me on Telegram Telegram Address : @jackleetFor_More_Tools:
#!/bin/sh
if [ $# -lt 1 ]; then
echo "Missing parameter" 1>&2
exit 2
fi
SRC_CONFIG_PATH="/opt/eset/efs/lib/install_scripts/eset_efs_sysctl.conf"
CONFIG_FILE="eset_efs_sysctl.conf"
PRIORITY="30"
SYSCTL_CONFD_DIR="/etc/sysctl.d"
SYSCTL_ARCHIVE_PATH="/var/opt/eset/efs/installer/sysctl.conf"
DEST_CONFIG="$SYSCTL_CONFD_DIR/$PRIORITY-$CONFIG_FILE"
add_conf_file() {
if [ ! -r "$SRC_CONFIG_PATH" ] ; then
echo "Error reading source config file \"$SRC_CONFIG_PATH\"" 1>&2
exit 1
fi
echo "Copying $CONFIG_FILE to $DEST_CONFIG"
if ! cp "$SRC_CONFIG_PATH" "$DEST_CONFIG" ; then
echo "Error copying config file" 1>&2
exit 1
fi
echo "Archiving previous sysctl state"
sysctl -e net.ipv4.conf.default.route_localnet net.ipv4.ip_forward net.ipv6.conf.all.forwarding > $SYSCTL_ARCHIVE_PATH
echo "Reloading sysctl configuration"
sysctl --quiet --system > /dev/null 2>&1
}
remove_conf_file() {
echo "Removing $DEST_CONFIG"
if ! rm -f "$DEST_CONFIG" ; then
echo "Error removing config file \"$DEST_CONFIG\"" 1>&2
exit 1
fi
echo "Restoring archived sysctl state"
sysctl --quiet -e --load=$SYSCTL_ARCHIVE_PATH
echo "Reloading sysctl configuration"
sysctl --quiet --system > /dev/null 2>&1
}
if [ "$1" = "enable" ]; then
add_conf_file
elif [ "$1" = "disable" ]; then
remove_conf_file
else
echo "Invalid option: \"$1\"" 1>&2
exit 2
fi
| Name | Type | Size | Permission | Actions |
|---|---|---|---|---|
| check_start.sh | File | 3.85 KB | 0755 |
|
| configure.sh | File | 116 B | 0755 |
|
| efs_selinux_uninstall_check.sh | File | 1.15 KB | 0755 |
|
| eset_efs_sysctl.conf | File | 92 B | 0644 |
|
| eset_efs_sysctl.sh | File | 1.33 KB | 0755 |
|
| eset_efs_udev.sh | File | 738 B | 0755 |
|
| perform_app_update.sh | File | 2.01 KB | 0755 |
|
| register_service.sh | File | 880 B | 0755 |
|
| remove_certificates.sh | File | 865 B | 0755 |
|
| sign_modules.sh | File | 9.3 KB | 0755 |
|
| unconfigure.sh | File | 139 B | 0755 |
|
| unregister_service.sh | File | 720 B | 0755 |
|